# W0429 18:55:35.206121  779393 warnings.go:70] would violate PodSecurity "restricted:v1.24": allowPrivilegeEscalation != false (container "tomcat" must set securityContext.allowPrivilegeEscalation=false), unrestricted capabilities (container "tomcat" must set securityContext.capabilities.drop=["ALL"]), runAsNonRoot != true (pod or container "tomcat" must set securityContext.runAsNonRoot=true), seccompProfile (pod or container "tomcat" must set securityContext.seccompProfile.type to "RuntimeDefault" or "Localhost")
apiVersion: v1
kind: Pod
metadata:
 name: tomcat
spec:
 containers:
   - name: tomcat
     image: registry.redhat.io/jboss-webserver-6/jws60-openjdk17-openshift-rhel8
     env:
      - name: JWS_HTTPS_CERTIFICATE_DIR
        value: "/CERTS"
      - name: JWS_HTTPS_CERTIFICATE
        value: "server.crt"
      - name: JWS_HTTPS_CERTIFICATE_KEY
        value: "server.key"
      - name: ENV_FILES
        value: "/scripts/ca.sh"
     volumeMounts:
       - name:  jws-app-secret
         mountPath: "/CERTS"
         readOnly: true
       - name: scripts-config
         mountPath: "/scripts"
         readOnly: true
     securityContext:
       allowPrivilegeEscalation: false
       capabilities:
         drop: ["ALL"]
       runAsNonRoot: true
       seccompProfile:
         type: RuntimeDefault
 volumes:
 - name: jws-app-secret
   secret:
     secretName: jws-app-secret
 - name: scripts-config
   configMap:
     name: scripts-config
